libnvme(2)

NAME
struct nvme_streams_directive_params - Streams Directive - Return Parameters Data Structure

SYNOPSIS
struct nvme_streams_directive_params {
__le16 msl;
__le16 nssa;
__le16 nsso;
__u8 nssc;
__u8 rsvd[9];
__le32 sws;
__le16 sgs;
__le16 nsa;
__le16 nso;
__u8 rsvd2[6];
};

Members

msl Max Streams Limit

nssa
    NVM Subsystem Streams Available

nsso
    NVM Subsystem Streams Open

nssc
    NVM Subsystem Stream Capability

rsvd
    Reserved

sws Stream Write Size

sgs Stream Granularity Size

nsa Namespace Streams Allocated

nso Namespace Streams Open

rsvd2
    Reserved